net.sf.saxon.s9api

## Class WhitespaceStrippingPolicy

- java.lang.Object
- - net.sf.saxon.s9api.WhitespaceStrippingPolicy

-     public class WhitespaceStrippingPolicy
      extends Object

  WhitespaceStrippingPolicy is class defining the possible policies for handling whitespace text nodes in a source document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WhitespaceStrippingPolicy` | `ALL` The value ALL indicates that all whitespace-only text nodes are discarded.
    `static WhitespaceStrippingPolicy` | `IGNORABLE` The value IGNORABLE indicates that whitespace text nodes in element-only content are discarded.
    `static WhitespaceStrippingPolicy` | `NONE` The value NONE indicates that all whitespace text nodes are retained
    `static WhitespaceStrippingPolicy` | `UNSPECIFIED` UNSPECIFIED means that no other value has been specifically requested.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WhitespaceStrippingPolicy(Executable executable)` Create a WhitespaceStrippingPolicy based on the xsl:strip-space and xsl:preserve-space declarations in a given XSLT stylesheet

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FilterFactory` | `makeStripper()`
    `protected int` | `ordinal()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final WhitespaceStrippingPolicy NONE

      The value NONE indicates that all whitespace text nodes are retained

    - #### IGNORABLE

          public static final WhitespaceStrippingPolicy IGNORABLE

      The value IGNORABLE indicates that whitespace text nodes in element-only content are discarded. Content is element-only if it is defined by a schema or DTD definition that does not allow mixed or PCDATA content.

    - #### ALL

          public static final WhitespaceStrippingPolicy ALL

      The value ALL indicates that all whitespace-only text nodes are discarded.

    - #### UNSPECIFIED

          public static final WhitespaceStrippingPolicy UNSPECIFIED

      UNSPECIFIED means that no other value has been specifically requested.

  - ### Constructor Detail

    - #### WhitespaceStrippingPolicy

          protected WhitespaceStrippingPolicy(Executable executable)

      Create a WhitespaceStrippingPolicy based on the xsl:strip-space and xsl:preserve-space declarations in a given XSLT stylesheet
      Parameters:
        `executable` - the stylesheet containing the xsl:strip-space and xsl:preserve-space declarations

  - ### Method Detail

    - #### ordinal

          protected int ordinal()

    - #### makeStripper

          protected FilterFactory makeStripper()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.